@import "../../_mixins.scss";
.inventory-management {
  position: relative;
  .device-status {
    &.device-status--Active,
    &.device-status--active {
      width: 20px;
      height: 20px;
      background: green;
      border-radius: 50%;
      margin-left: 2px;
      .monitor {
        margin-left: 30px;
      }
    }
    &.device-status--Inactive,
    &.device-status--inactive {
      width: 20px;
      height: 20px;
      background: #afadad;
      border-radius: 50%;
      margin-left: 2px;
      .monitor {
        margin-left: 30px;
      }
    }
  }
  .status {
    padding: 2px 5px 2px 15px;
    border-radius: 3px;
    font-size: 11px;
    position: relative;
    &.status--Active {
      --status-color: green;
      border: 1px solid var(--status-color);
      color: var(--status-color);
      &::after {
        content: " ";
        display: block;
        position: absolute;
        top: 5px;
        left: 4px;
        min-height: 6px;
        width: 9px;
        background: transparent;
        border-left: 2px solid var(--status-color);
        border-bottom: 2px solid var(--status-color);
        transform: rotate(-45deg);
      }
    }
    &.status--Inactive,
    &.status--Expiring,
    &.status--Expired {
      --status-color: red;
      border: 1px solid var(--status-color);
      color: var(--status-color);
      &::after {
        content: " ";
        position: absolute;
        top: 4px;
        left: 6px;
        width: 1px;
        height: 10px;
        border: 1px solid var(--status-color);
        transform: rotate(45deg);
      }
      &::before {
        content: " ";
        position: absolute;
        top: 4px;
        left: 6px;
        width: 1px;
        height: 10px;
        border: 1px solid var(--status-color);
        transform: rotate(-45deg);
      }
    }
  }
  .inventory-management__table-top {
    background: white;
    padding: 8px 15px;
    display: flex;
    flex-direction: column;
    .inventory-management__table-filters,
    .inventory-management__table-actions {
      display: flex;
      flex-direction: row;
      align-items: center;
    }
    .inventory-management__table-filters {
      padding-top: 15px;
      overflow: auto;
      display: inline-block;
    }
    .inventory-management__filter {
      background: var(--primary);
      padding: 3px 3px 3px 10px;
      margin: 2px;
      border-radius: 15px;
      display: inline-block;
      flex-direction: row;
      label {
        color: white;
      }
      span {
        min-width: 8px;
        padding: 5px 15px 5px 5px;
        position: relative;
        cursor: pointer;
        &::before,
        &::after {
          display: block;
          content: " ";
          width: 10px;
          height: 2px;
          background: white;
          position: absolute;
          top: 12px;
          right: 4px;
        }
        &::after {
          transform: rotate(45deg);
        }
        &::before {
          transform: rotate(-45deg);
        }
      }
    }
    .inventory-management__table-header-search {
      display: flex;
      //justify-content: space-between;
      flex-grow: 1;
      .field-section,
      .checkbox-holder {
        width: 100%;
      }
    }
    .inventory-management__search {
      width: 400px;
      max-width: 400px;
    }
    .inventory-management__table-header-btn-group {
      display: flex;
      gap: 10px;
    }
    .btn.square-btn {
      font-size: var(--font-xs);
      padding: 4px 8px;
      height: 27px;
      min-width: 65px;
      margin-bottom: 2px;
      img {
        padding-right: 3px;
      }
      &:hover,
      &:active,
      &:focus {
        img {
          filter: invert(75%);
        }
      }
    }
    .field-section {
      padding: 0;
      display: flex;
      .field__input input:not([type="radio"]) {
        height: var(--input-height);
      }
      .field__input input[type="file"] {
        height: 0;
        margin-left: -24px;
        border: none;
      }
      div.row {
        margin: 0;
        width: 95%;
      }
      .field__label {
        display: none;
      }
    }
    .checkbox-holder label.checkbox__content {
      margin-left: 5px;
      margin-top: -2px;
    }
  }
  .disable-div {
    pointer-events: none;
    opacity: 0.5;
  }
  .disable-div-info {
    cursor: not-allowed;
    opacity: 0.5;
  }
  .loader {
    position: absolute;
    left: 46%;
    top: 50%;
    z-index: 999;
  }
  .loading {
    opacity: 0.5;
  }
  &__table-header-btn-group {
    a.import-pop-up-btn {
      color: unset;
    }
  }
}
.confirm-modal {
  &.modal .modal-dialog .modal-content .modal-body {
    padding: 40px 25px 75px 25px;
  }
}
.update-contract {
  .update-contract__body {
    width: 100%;
    .confirm-message {
      display: inline-table;
      color: red;
      padding: 5px 20px;
      img {
        width: 30px;
        height: 30px;
        margin-right: 10px;
        margin-top: 1px;
      }
      .text {
        display: flex;
        p {
          margin: 0 0 2px;
        }
      }
    }
    .bulk-message {
      display: inline-table;
      color: green;
      padding: 5px 20px;
      img {
        width: 30px;
        height: 30px;
        margin-right: 10px;
        margin-top: 1px;
      }
      .text {
        display: flex;
        p {
          margin: 0 0 2px;
        }
      }
    }
  }
}
.user-modal {
  .modal-dialog .modal-content .modal-body {
    padding: 15px 5px;
    .user-modal__body {
      display: flex;
      flex-direction: row;
      flex-wrap: wrap;
    }
  }
}
.edit-device {
  width: 100%;
  .editable-fields {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
  .field-section {
    padding: 10px 5px 0px 0px;
    display: flex;
    flex-direction: column;
    flex-basis: 50%;
  }
  .device-details-modal__body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    .device-details-modal__body-field {
      display: flex;
      flex-direction: column;
      flex-basis: 33%;
      padding-top: 8px;
      padding-bottom: 8px;
      overflow: hidden;
      label {
        font-family: var(--font-first);
        @include text_one_line;
        &:first-child {
          color: var(--grey-label);
          text-transform: uppercase;
        }
        &:nth-child(2) {
          color: var(--black-font);
          padding-top: 5px;
        }
      }
      .label-expiration-date {
        font-weight: bold;
      }
      .support-status {
        padding: 0;
        margin-top: -5px;
      }
      .item-description {
        text-overflow: unset;
        white-space: unset;
      }
      .note-description {
        max-height: 100px;
        overflow-y: auto;
        text-overflow: unset;
        white-space: unset;
      }
      .info {
        white-space: unset;
      }
    }
    span.contract-status-no-covered {
      color: red;
    }
    .migration-info {
      vertical-align: bottom;
      padding-right: 8px;
    }
    .radio-btn-group {
      padding-top: 7px;
    }
  }
  .device-detail__header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
    background: white;
    border-bottom: 1px solid #eee;
    padding: 1px 1px 1px 1px;
    h5 {
      margin-bottom: 5px;
    }
  }
  .disable-div {
    cursor: not-allowed;
    opacity: 0.5;
  }
  .select-manufacturer {
    .field__label-required::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
      position: absolute;
    }
    .select-manufacturer-error {
      color: #f00;
    }
    .error-input {
      border: 1px solid #f00;
      padding-bottom: 2px;
    }
  }
  .migration-info-tab {
    display: flex;
    flex-direction: column;
    label {
      padding: 2px;
    }
    .heading {
      font-weight: 800;
    }
  }
  img.d-pointer.migration-info {
    padding: 0px 5px 0px 0px;
  }
  .device-details-circuit-info {
    display: flex;
    flex-direction: column;
    .document {
      display: flex;
      .tile {
        display: flex;
        flex-direction: column;
        flex-basis: 33%;
        padding-top: 5px;
        padding-bottom: 5px;
        overflow: hidden;
        label:first-child {
          color: var(--grey-label);
          text-transform: uppercase;
          padding: 0px 0px 0px 2px;
        }
        label {
          word-break: break-word;
          padding: 2px;
        }
      }
      .tile-index {
        display: flex;
        flex-direction: column;
        flex-basis: 5%;
        padding-top: 5px;
        padding-bottom: 5px;
        overflow: hidden;
        label:first-child {
          color: var(--grey-label);
          text-transform: uppercase;
          padding: 0px 0px 0px 2px;
        }
        label {
          word-break: break-word;
          padding: 2px;
        }
      }
    }
  }
}
.filters-modal {
  .Select {
    height: unset !important;
  }
  .Select-value {
    display: inherit !important;
  }
  .modal-dialog {
    width: 950px;
    .modal-content {
      width: unset;
    }
  }
  .filters-modal__body {
    width: 100%;
    padding-bottom: 25px;
    //display: grid;
    // grid-template-columns: 2fr 3fr 2fr 2fr;
    display: flex;
    flex-wrap: wrap;
    min-height: 150px;
    max-height: 600px;
    .Select .Select-control .Select-multi-value-wrapper .Select-value {
      line-height: 15px;
      display: flex;
    }
  }
}
.address-mapping {
  .Select-option:last-child {
    background-color: #0071b5;
    padding-left: 36px;
    color: #fff;
    background-image: url("../assets/icons/plus.png");
    background-repeat: no-repeat;
    background-position: 10px 6px;
  }
}
.field-mapping {
  .field-section {
    padding: 20px 0 5px 0;
  }
  .sheet-column,
  .select-manufacturer {
    .Select {
      width: 300px;
      .Select-control .Select-input input {
        color: #333;
      }
    }
  }
  .last {
    .Select {
      width: 100%;
      .Select-control .Select-input input {
        color: #333;
      }
    }
  }
  .Select-value {
    font-size: small;
  }
  .Select-value-label {
    padding-left: 10px;
  }
  .select-manufacturer {
    margin: 20px 0;
    .select-manufacturer-error {
      color: #f00;
    }
  }
  .field-mapping__table {
    --header-border: #eee;
    --header-bg: #fafafa;
    --header-color: #908f8f;
    width: 100%;
    background: #fff;
    .field-mapping__table-header {
      height: 40px;
      font-size: var(--font-m);
      color: var(--header-color);
      background: var(--header-bg);
      box-shadow: none;
      border-top: 1px solid var(--header-border);
      border-bottom: 1px solid var(--header-border);
      .middle {
        width: 60px;
      }
      th {
        padding-left: 20px;
      }
      .first,
      .sheet-column {
        width: 235px;
      }
    }
    .field-mapping__table-row {
      height: 38px;
      border-top: 1px solid var(--header-border);
      border-bottom: 1px solid var(--header-border);
      td {
        padding-left: 20px;
      }
      .middle {
        width: 60px;
      }
      .first {
        width: 235px;
      }
      .sheet-column {
        width: 235px;
      }
      .field-mapping__label-required::after {
        content: "*";
        color: #f00;
        margin-left: 3px;
        font-size: var(--font-s);
      }
      .field-mapping__label-error {
        display: block;
        color: red;
      }
      .field-mapping__label-message {
        color: var(--header-color);
      }
      .opposite-arrow {
        float: right;
      }
      .first-manufacturer,
      .middle-manufacturer {
        width: 235px;
      }
      .device-type {
        width: 300px;
      }
    }
  }
  .field-mapping__footer {
    height: 70px;
    border-top: 1px solid var(--header-border);
    border-bottom: 1px solid var(--header-border);
    text-align: center;
    background: white;
    padding-top: 15px;
    .import-button,
    .cancel-button {
      min-width: 0;
      margin-left: 15px;
      font-size: small;
      height: 33px;
    }
  }
  .error-not-configure {
    text-align: left;
    padding: 5px;
    color: #fb8c00;
    border: 1px solid #fb8c00;
    border-radius: 5px;
    a {
      color: #fb8c00;
    }
  }
}
.mapping {
  .device-responce {
    padding: 20px;
    background: #0080001f;
    font-size: var(--font-xxxxl);
    .row {
      padding-left: 20px;
    }
    span {
      font-size: var(--font-xxxl);
      padding: 0 0 0px 10px;
      font-weight: 700;
      vertical-align: middle;
    }
    .success {
      span {
        color: #084e3f;
      }
    }
    .error {
      span {
        color: #f00;
      }
    }
  }
  .spinner {
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-45%, -50%);
    transform: -webkit-translate(-50%, -50%);
    transform: -moz-translate(-50%, -50%);
    transform: -ms-translate(-50%, -50%);
  }
}

.select-country {
  width: 320px;
}
.import-confirm {
  .field-mapping__warning {
    background: white;
    padding-top: 15px;
    line-height: 25px;
    font-weight: 600;
  }
}
.add-site {
  .add-site__body {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
  }
}
.device-details {
  div {
    float: right;
    font-size: larger;
    padding-right: 44px;
    margin-top: -8px;
  }
  .status--Active {
    color: green;
  }
  .status--Inactive {
    color: red;
  }
}
.add-device__footer {
  .updated-on {
    color: var(--grey-label);
    float: left;
    font-size: var(--font-xs);
    padding-top: 10px;
    display: flex;
    .reset-retry-count {
      min-width: unset;
      height: var(--input-height);
      margin: 0 0 0 14px;
    }
    p {
      margin: 0 0 10px;
      float: left;
    }
  }
}
.add-device__body {
  display: flex;
  flex-wrap: wrap;
  .field-section div.row.field__label .field__label-icon {
    height: 12px;
    margin: 2px 2px 0 6px;
  }
  .select-manufacturer {
    .field__label-required::after {
      content: "*";
      color: #f00;
      margin-left: 3px;
      font-size: var(--font-xs);
      position: absolute;
    }
    .select-manufacturer-error {
      color: #f00;
    }
    .error-input {
      border: 1px solid #f00;
      padding-bottom: 2px;
    }
  }
  span.field__error {
    position: absolute;
  }
  .Select .Select-control .Select-input input {
    color: #333;
  }
}
.renewal-history {
  .table-renewal-history {
    width: 100%;
    span:hover {
      position: relative;
    }
    span[aria-label]:hover:after,
    span[aria-label]:active:after {
      content: attr(aria-label);
      padding: 10px 20px;
      position: absolute;
      left: 1px;
      top: 32px;
      z-index: 999999;
      background: #000000;
      width: max-content;
      max-width: 240px;
      color: white;
      border-radius: 2px;
      word-break: break-all;
    }
    .arrow {
      visibility: hidden;
      position: absolute;
      top: 21px;
      left: 2px;
      border-left: 14px solid transparent;
      border-right: 15px solid transparent;
      border-bottom: 20px solid #000000;
      width: 0;
      height: 0;
    }
    span:hover .arrow,
    span:active .arrow {
      visibility: visible;
    }
    .blank {
      padding: 10px;
    }
  }
  th {
    text-align: left;
    color: var(--grey-label);
    text-transform: uppercase;
  }
  tr {
    line-height: 26px;
    display: table;
    width: 100%;
    table-layout: fixed;
    .action {
      width: 55%;
    }
    .author {
      width: 20%;
    }
    .created-on {
      width: 20%;
    }
  }
  tbody {
    overflow: auto;
    display: block;
    max-height: 180px;
    overflow-y: auto;
  }
  .loader {
    position: absolute;
    top: auto;
    z-index: 999;
    width: 100%;
  }
}
.check-renewal-history {
  margin-bottom: 10px;
}
.unblock-renewal {
  float: right;
}
.renewal-status {
  font-size: var(--font-xxxl);
}
.ckt-association {
  .Select .Select-control .Select-multi-value-wrapper .Select-value {
    line-height: 20px;
  }
}
.monitoring-details {
  width: 100%;
  button.square-btn.check-monitoring-details.btn.btn-primary {
    margin-top: -5px;
  }
  .device-details-modal__body-field {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
  }
}
.warning-list {
  .warning-text {
    color: #f00;
    font-size: var(--font-l);
    max-height: 350px;
    overflow: auto;
    //overflow: auto;
    // custom scrollbar &::-webkit-scrollbar {
    width: 5px;
    height: 5px;
    //}
    &::-webkit-scrollbar-track {
      background: none;
      border: none;
    }
    &::-webkit-scrollbar-thumb {
      background: #e0140a;
      border-radius: 10px;
    }
    &::-webkit-scrollbar-thumb:hover {
      background: var(--primary);
    }
  }
  .import-error-btn {
    cursor: pointer;
    padding: 0 10px;
    &:hover {
      opacity: 0.5;
    }
  }
}
.device-status-icons {
  display: flex;
  padding: 0px;
  //width: 70px;
  img {
    margin: 0px 0px 0 5px;
  }
  .device-status {
    margin-right: 0;
  }
  .status-svg-images {
    width: 20px;
    height: 20px;
  }
}
.device-fields {
  margin: 10px 0 0 0;
  padding: 0;
  display: flex;
  flex-direction: column;
  .field {
    background: white;
    margin: 5px 0px;
  }
  .section-heading {
    font-weight: 700;
    border-bottom: 1px solid #ccc;
    padding: 8px 5px 8px 0px;
    background-color: white;
    text-transform: uppercase;
    display: flex;
    justify-content: space-between;
    .action-collapse {
      font-size: 23px;
      width: 20px;
      margin: -7px;
      cursor: pointer;
    }
  }
  .disable-heading {
    opacity: 0.5;
    cursor: not-allowed;
  }
  .single-field {
    padding: 0 20px 0 0px;
    //margin-bottom: 10px;
    .options-content {
      .field__input {
        padding-top: 15px;
        .radio-btn-group .radio-btn span {
          font-family: var(--font-first);
          color: var(--base-black);
          font-size: var(--font-s);
          font-weight: 600;
        }
      }
    }
    .options-content {
      width: 100%;
    }
  }
  .body-section {
    padding: 10px 20px 10px 10px;
    background: #cccccc1f;
  }
}

img.icon__loading {
  height: 21px;
  padding-left: 7px;
}

.add-device {
  .modal-dialog {
    min-width: 900px !important;
  }
  .modal-content {
    min-width: 900px !important;
  }
  .monitoring-data-table {
    width: 100%;
    tbody {
      border-top: 1px dashed #ccc;
    }
    th {
      font-weight: bold;
    }
    td {
      font-weight: normal;
    }
    tr {
      line-height: 22px;
      border-bottom: 1px dashed #ccc;
    }
  }
}

.import-btn-pop-up {
  display: flex;
  flex-direction: column;
  margin: 15px;
  border: 0px solid #ccc;
  label.btn.square-btn.btn-primary.file-button.import-button {
    width: 190px;
    display: flex;
    margin: 5px;

    img {
      margin: -5px 5px 0 0;
    }
  }
}

.purchase-order-top {
  padding: 10px 15px 0px 15px;
  background: white;
  font-size: var(--font-l);
  color: red;
  font-weight: 500;
}

.purchase-order {
  .rt-table {
    padding: 0 !important;
  }
  .pagination-bottom {
    display: none !important;
  }
  .rt-table .rt-tbody {
    overflow: unset;
  }

  .ignore-button {
    width: 80px !important;
    height: 22px;
  }
}

.correction-response {
  margin-bottom: 5px;
  .heading-device {
    background: white;
    padding: 5px 15px;
    font-size: var(--font-xxxl);
  }

  .heading-po {
    background: white;
    padding: 5px 10px 5px 15px;
    font-size: var(--font-xxxxl);
    display: flex;
    justify-content: space-between;
    .actions {
      display: flex;
      width: 210px;
      justify-content: space-between;
    }
    button.square-btn {
      height: 30px;
      width: 100px !important;
      min-width: unset;
    }
  }

  .ReactTable.device-error {
    max-height: 40vh;
    margin-bottom: 5px;
  }
  .table-container {
    display: flex;
    flex-direction: column;
    background: white;
    margin: 0 0 5px 0;
    .purchase-order {
      padding: 0px 10px;
    }
  }
  .recipient-list-box {
    padding: 10px 0 !important;
    .heading {
      font-weight: 600;
    }
  }
  .device-errors {
    color: red;
    font-size: var(--font-xxxl);
  }
  .device-warnings {
    color: orange;
    font-size: var(--font-xxxl);
  }
  .device-errors-table {
    font-size: var(--font-xxxl);
    font-weight: 500;
    display: flex;
    justify-content: space-between;
    margin: 5px 15px;
  }
}

.import-error-msg {
  font-size: 16px;
}

.confirm-with-users-email {
  background: white;
  padding: 15px;
  margin: 0 0 5px 0;

  .remove-customer {
    padding: 10px 0px;
    .heading {
      font-weight: 600;
    }
  }

  .multiple-email-eror {
    color: red;
    font-size: var(--font-l);
    font-weight: 500;
    padding: 5px 10px;
  }
  .select-user-email {
    border: 1px solid #ccc;
    display: flex;
    flex-direction: column;
    margin: 0 0 15px 0;
    padding: 0 0 0 10px;
    .yes-no-radio {
      padding: 5px;

      label.field__label-label {
        font-size: 13px !important;
        font-weight: 600 !important;
      }
      .radio-btn-group .radio-btn span {
        font-size: 15px !important;
      }
    }
    .contact-list {
      overflow: auto;
      max-height: 250px;
      padding: 0 0 0 8px;

      label.checkbox__content {
        font-size: 15px !important;
      }
      span.email {
        color: #1a1818;
        font-weight: normal;
      }
    }
    .heading {
      font-size: var(--font-l);
      padding: 0 8px 8px 8px;
      font-weight: 600;
    }
    .email-tag {
      padding: 10px 8px;
    }
    .label-remove-customer {
      font-size: 13px !important;
      font-weight: 600 !important;
    }

    .remove-customer {
      padding: 0;
    }
  }

  .default-customer-users {
    .heading {
      font-weight: 600;
      padding: 0;
    }
    .user-list {
      display: flex;
      flex-wrap: wrap;
      .heading {
        padding: 0 5px;
      }
      .user-box {
        /* border: 1px solid #ccc; */
        margin: 0 5px 0 0;
        width: fit-content;
        padding: 5px 10px;
        background: #cccccc4a;
      }
    }
  }
  .recipient-list {
    margin: 0;
    width: fit-content;
    padding: 5px 10px;
    background: #cccccc4a;
  }
}

.smart-net-final-output {
  background: white;
  padding: 2rem;

  .collapse.in {
    display: block;
    background: #cccccc14;
    border-radius: 0.25rem;
    border-top-left-radius: 0;
    border-top-right-radius: 0;
    padding: 10px;
  }
  .namespace-list {
    padding: 0;
  }

  .collapsable-component {
    margin: 15px 15px 0px 0px;
    padding: 0;
  }
  .result-section {
    display: flex;
    flex-wrap: wrap;
    margin: 0px;
  }

  .label.success {
    background: #00800024 !important;
    color: green;
    padding: 7px 10px;
    .smart-net-final-output .collapsable-heading {
      background: unset !important;
    }
  }

  .label.error {
    background: #ff00000d !important;
    color: red;
    padding: 7px 10px;
    .smart-net-final-output .collapsable-heading {
      background: unset !important;
    }
  }
  .label-padding {
    padding: 7px 10px !important;
  }
  .collapsable-heading {
    background: unset !important;
  }
  .capitalize {
    text-transform: capitalize;
    font-weight: 600;
    display: flex;

    .right {
      font-size: 19px;
      padding: 1px 0 0 10px;
      line-height: 1;
    }
    .right-serial-numbers {
      color: rgb(110, 108, 108);
      font-weight: 500;
      padding: 4px 10px;
      max-height: 225px;
      overflow-y: auto;
    }
  }
  .logs {
    // border: 1px solid #ccc;
    padding: 5px;
    margin: 0 17px 0 0;
    max-width: 500px;
  }
  .remove-border {
    border: 0 !important;
  }
  .error.warning-list {
    padding: 0px 25px;
    button.square-btn {
      height: 30px;
      width: 100px !important;
      min-width: unset;
    }
  }
  button.square-btn.add-new-option-sow.btn.btn-primary {
    height: var(--input-height);
    font-size: 16px !important;
    margin: 0 0 0 10px;
  }
  .create-opportunity {
    padding: 10px 0px 25px 0px;

    span {
      font-weight: 600;
      font-size: var(--font-l);
    }
  }
}

.select-inner-table {
  width: inherit;
  position: absolute !important;
  margin: 0 0 0 -6px;
  .Select-menu-outer {
    width: auto;
  }
}

.po-mapping {
  .required-error {
    border: 1px solid red;
  }
  .po-table {
    display: flex;
    flex-direction: column;
    border: 2px solid white;
    padding: 10px;

    .po-line,
    .po-line-header {
      display: grid;
      grid-template-rows: auto;
      grid-template-columns: 1fr 1.5fr 1fr 0.75fr 0.75fr 0.75fr 0.6fr 0.6fr;
      height: 35px;
      padding: 0 10px;
      .select-inner-po {
        margin: 2px 10px 0 0;
      }
    }
    .po-line-header,
    .odd {
      background: white;
    }
    .po-line-header {
      font-weight: 600;
    }
  }
}

.add-opportunity__body {
  display: flex;
  flex-wrap: wrap;
}

td.last.site-address-select {
  .Select.Select--single {
    width: 500px !important;
  }
}

.type-filter {
  display: flex;
  justify-content: space-between;
  background: white;
  .check-show-all {
    margin: 10px 0 0 10px;
  }
  .apply-type {
    line-height: 11px;
    margin: -15px 0 -15px 115px;
    display: flex;
    width: 400px;
    .apply-all {
      height: var(--input-height);
      width: 200px;
      margin: 41px 5px 0 5px;
      min-width: unset;
    }
  }
}

.auto-address-mapping {
  .title {
    height: 20px;
  }
  .sites-mapping {
    margin: 30px 0 0 0;
    .header-table {
      font-size: var(--font-xl);
      margin: 15px;
    }
  }
}
.import-devices {
  background: #cccccc2e;
  padding: 15px 20px;
  font-size: var(--font-xxl);
  font-weight: 600;
}

img.status-heartbit-images {
  width: 20px;
  margin: 0 20px;
}
.smartnet-mapping-header {
  display: flex;
  height: 30px;
  .field-section.po-smartnet_search {
    padding: 0;
    margin: -20px 0 0 0;
  }
}

.searched {
  .checkbox-holder label.checkbox__content {
    font-weight: 600;
    background-color: #ccc;
  }
}
